Name: H5Pget_driver
Signature:
  hid_t `H5Pget_driver`( hid_t `plist_id` )
Purpose:
  Returns low-lever driver identifier.
Description:
  `H5Pget_driver` returns the identifier of the low-level file driver associated with the file access property list or data transfer property list `plist_id`.

  Valid driver identifiers with the standard HDF5 library distribution include the following:

                 H5FD_CORE
                 H5FD_FAMILY
                 H5FD_LOG
                 H5FD_MPIO
                 H5FD_MULTI
                 H5FD_SEC2
                 H5FD_STDIO

  If a user defines and registers custom drivers or if additional drivers are defined in an HDF5 distribution, this list will be longer.

  The returned driver identifier is only valid as long as the file driver remains registered.

Parameters:

hid_t `plist_id` | IN: File access or data transfer property list identifier.

Returns:
  Returns a valid low-level driver identifier if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_driver_f

      SUBROUTINE h5pget_driver_f(prp_id, driver, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: driver       ! Low-level file driver identifier
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_driver_f

History:

Release | C
1.4.0 | Function introduced in this release.